Bug 229258 - lang/ponyc: enable aarch64
Summary: lang/ponyc: enable aarch64
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Mark Linimon
URL:
Keywords:
Depends on: 229057
Blocks:
  Show dependency treegraph
 
Reported: 2018-06-23 20:29 UTC by Greg V
Modified: 2018-06-29 07:49 UTC (History)
1 user (show)

See Also:


Attachments
pony-aarch64.patch (722 bytes, patch)
2018-06-23 20:29 UTC, Greg V
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Greg V 2018-06-23 20:29:55 UTC
Created attachment 194543 [details]
pony-aarch64.patch

Will actually build after libunwind is available (my patch for that is bug 229057).
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2018-06-25 04:42:13 UTC
I have a run to test both patches.
Comment 2 commit-hook freebsd_committer 2018-06-29 07:31:43 UTC
A commit references this bug:

Author: linimon
Date: Fri Jun 29 07:31:25 UTC 2018
New revision: 473529
URL: https://svnweb.freebsd.org/changeset/ports/473529

Log:
  Fix build on aarch64 and enable.

  PR:		229258
  Reported by:	maintainer

Changes:
  head/lang/ponyc/Makefile
Comment 3 Mark Linimon freebsd_committer freebsd_triage 2018-06-29 07:49:49 UTC
Committed, thanks.